/{organizationId}/finance/receipts/remindable/listList remindable receipts
Returns a list of remindable receipts for a given mandate
Required permissions:
mandate.read
receipt.read
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
searchTermstringoptional hasReceiptbooleanoptional A stringified json object representing a property filter
reminderTypestringrequired Options:
remindersdonationRemindersAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/receipts/remindable/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"reminderType": "reminders"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"receipts": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"type": "expense",
"account": 1,
"accountName": "string",
"accountNameSort": "string",
"receiptNumber": "string",
"receiptNumberSort": 1,
"receiptDate": "string",
"receiptFile": "string",
"receiptFileName": "string",
"positions": [
{
"costCenter1": 1,
"costCenter2": 1,
"amount": 0
}
],
"notes": [
{
"id": "string",
"content": "string",
"writtenAt": "2026-06-15T22:30:00Z",
"writtenBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
}
],
"tags": "string",
"archivedAt": "2026-06-15T22:30:00Z",
"archivedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"totalGrossAmount": 0,
"pushableLevels": [
"level1"
]
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}